package com.muyu.breakdown.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @ClassDescription: 站内信息对象 sys_car_fault_message
 * @JdkVersion: 1.8
 * @Author: YZL
 * @Created: 2024/9/22 11:57
 */
@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_car_fault_message")
public class SysCarFaultMessage extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 参数主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 内容 */
    private String content;

    /**开始时间 */
    private Date createTime;

    /**是否已读 */
    private Integer status;

}
