package com.template;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author：liuxinyue
 * @Package：com.sheep
 * @Project：cloud-server-c
 * @name：TemplateApplication
 * @Date：2024/9/19 21:20
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
@MapperScan("com.template.mapper")
public class TemplateApplication {

    public static void main(String[] args) {
        SpringApplication.run(TemplateApplication.class, args);

    }

}
