package com.muyu.saas;

import com.alibaba.druid.spring.boot3.autoconfigure.DruidDataSourceAutoConfigure;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

@SpringBootApplication
@EnableMyFeignClients
@MapperScan(value = "com.muyu.saas.mapper")
public class SaasApplication {

    public static void main(String[] args) {
        SpringApplication.run(SaasApplication.class,args);
    }

}
