package com.muyu.breakdown.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.breakdown.domain.SysCarFault;
import com.muyu.breakdown.domain.SysCarFaultMessage;

import java.util.List;
import java.util.stream.IntStream;

/**
 * @ClassDescription:
 * @JdkVersion: 1.8
 * @Author: YZL
 * @Created: 2024/9/22 14:35
 */
public interface SysCarFaultMessageService extends IService<SysCarFaultMessage> {

    //查询列表所有数据(分页)
    public List<SysCarFaultMessage> selectSysCarFaultMessageList(SysCarFaultMessage sysCarFaultMessage);

    /**
     * 查询列表中状态为1数据(分页)
     * @return
     */
    public List<SysCarFaultMessage>listStatusOnt( );

    /**
     * 查询列表中状态为2的数据(分页)
     * @return
     */
    public List<SysCarFaultMessage>listStatusTwo( );
}
