package com.muyu.controller;


import com.muyu.common.core.domain.Result;
import com.muyu.service.TemplateNeedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/templateNeed")
public class TemplateNeedController {
    @Autowired
    private TemplateNeedService templateNeedService;


    @GetMapping("/selectByTemplateId/{templateId}")
    public Result selectByTemplateId(@PathVariable("templateId") Long templateId){
        return Result.success(templateNeedService.selectByTemplateId(templateId));
    }
}
